{
	"format_version": "1.8.0",
	"animations": {
		"animation.snake.walk": {
			"loop": true,
			"anim_time_update": "query.modified_distance_moved",
			"bones": {
				"head": {
					"rotation": [0, "Math.sin(query.anim_time * 38.17) * 45", 0]
				},
				"part0": {
					"rotation": [0, "Math.cos(query.anim_time * 38.17) * -45", 0]
				},
				"part1": {
					"rotation": [0, "Math.sin(query.anim_time * 38.17) * -45", 0]
				},
				"part2": {
					"rotation": [0, "Math.cos(query.anim_time * 38.17) * 45", 0]
				},
				"part3": {
					"rotation": [0, "Math.sin(query.anim_time * 38.17) * 45", 0]
				},
				"part4": {
					"rotation": [0, "Math.cos(query.anim_time * 38.17) * -45", 0]
				},
				"part5": {
					"rotation": [0, "Math.sin(query.anim_time * 38.17) * -45", 0]
				},
				"part6": {
					"rotation": [0, "Math.cos(query.anim_time * 38.17) * 45", 0]
				},
				"part7": {
					"rotation": [0, "Math.sin(query.anim_time * 38.17) * 45", 0]
				},
				"part8": {
					"rotation": [0, "Math.cos(query.anim_time * 38.17) * -45", 0]
				},
				"part9": {
					"rotation": [0, "Math.sin(query.anim_time * 38.17) * -45", 0]
				},
				"part10": {
					"rotation": [0, "Math.cos(query.anim_time * 38.17) * 45", 0]
				},
				"part11": {
					"rotation": [0, "Math.sin(query.anim_time * 38.17) * 45", 0]
				},
				"part12": {
					"rotation": [0, "Math.cos(query.anim_time * 38.17) * -45", 0]
				},
				"body": {
					"rotation": [0, "Math.cos(query.anim_time * 38.17 + 45 ) * 35", 0]
				}
			}
		}
	}
}